Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.clearspace
Class ClearspaceSecurityAuditProvider

    java.lang.Object
      org.jivesoftware.openfire.clearspace.ClearspaceSecurityAuditProvider

All Implemented Interfaces:
  SecurityAuditProvider

    public class ClearspaceSecurityAuditProvider

extends Object
implements SecurityAuditProvider

The ClearspaceSecurityAuditProvider uses the AuditService web service inside of Clearspace to send audit logs into Clearspace's own audit handler. It also refers the admin to a URL inside the Clearspace admin console where they can view the logs.

Author:
  Daniel Henninger

Field Summary
`protected static String` | `AUDIT_URL_PREFIX`

Constructor Summary
`ClearspaceSecurityAuditProvider()` Generate a ClearspaceSecurityAuditProvider instance.

Method Summary
`boolean` | `blockGroupEvents()` Clearspace handles logging it's own group events.
`boolean` | `blockUserEvents()` Clearspace handles logging it's own user events.
`String` | `getAuditURL()` The ClearspaceSecurityAuditProvider does not retrieve audit entries from Clearspace.
`SecurityAuditEvent` | `getEvent(Integer msgID)` The ClearspaceSecurityAuditProvider does not retrieve audit entries from Clearspace.
`Integer` | `getEventCount()` The ClearspaceSecurityAuditProvider does not retrieve audit entries from Clearspace.
`List<SecurityAuditEvent>` | `getEvents(String username, Integer skipEvents, Integer numEvents, Date startTime, Date endTime)` The ClearspaceSecurityAuditProvider does not retrieve audit entries from Clearspace.
`boolean` | `isWriteOnly()` The ClearspaceSecurityAuditProvider does not retrieve audit entries from Clearspace.
`void` | `logEvent(String username, String summary, String details)` The ClearspaceSecurityAuditProvider will log events into Clearspace via the AuditService web service, provided by Clearspace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AUDIT_URL_PREFIX

    protected static final String AUDIT_URL_PREFIX

See Also:
  Constant Field Values

Constructor Detail

### ClearspaceSecurityAuditProvider

    public ClearspaceSecurityAuditProvider()

  Generate a ClearspaceSecurityAuditProvider instance.

Method Detail

### logEvent

    public void logEvent(String username,
                         String summary,
                         String details)

  The ClearspaceSecurityAuditProvider will log events into Clearspace via the AuditService web service, provided by Clearspace.

  Specified by:
    `logEvent` in interface `SecurityAuditProvider`
  Parameters:
    `username` - Username of user who performed the security event.
    `summary` - Short description of the event, similar to a subject.
    `details` - Detailed description of the event, can be null if not desired.
  See Also:
    `SecurityAuditProvider.logEvent(String, String, String)`

### getEvents

    public List<SecurityAuditEvent> getEvents(String username,
                                              Integer skipEvents,
                                              Integer numEvents,
                                              Date startTime,
                                              Date endTime)

  The ClearspaceSecurityAuditProvider does not retrieve audit entries from Clearspace. Instead it refers the admin to a URL where they can read the logs.

  Specified by:
    `getEvents` in interface `SecurityAuditProvider`
  Parameters:
    `username` - Username of user to look up. Can be null for no username filtering.
    `skipEvents` - Number of events to skip past (typically for paging). Can be null for first page.
    `numEvents` - Number of events to retrieve. Can be null for "all" events.
    `startTime` - Oldest date of range of events to retrieve. Can be null for forever.
    `endTime` - Most recent date of range of events to retrieve. Can be null for "now".
  Returns:
    Array of security events.
  See Also:
    `SecurityAuditProvider.getEvents(String, Integer, Integer, java.util.Date, java.util.Date)`

### getEvent

    public SecurityAuditEvent getEvent(Integer msgID)
                                throws EventNotFoundException

  The ClearspaceSecurityAuditProvider does not retrieve audit entries from Clearspace. Instead it refers the admin to a URL where they can read the logs.

  Specified by:
    `getEvent` in interface `SecurityAuditProvider`
  Parameters:
    `msgID` - ID number of event to retrieve.
  Returns:
    SecurityAuditEvent object with information from retrieved event.
  Throws:
    `EventNotFoundException` - if event was not found.
  See Also:
    `SecurityAuditProvider.getEvent(Integer)`

### getEventCount

    public Integer getEventCount()

  The ClearspaceSecurityAuditProvider does not retrieve audit entries from Clearspace. Instead it refers the admin to a URL where they can read the logs.

  Specified by:
    `getEventCount` in interface `SecurityAuditProvider`
  Returns:
    Number of events that have been recorded.
  See Also:
    `SecurityAuditProvider.getEventCount()`

### isWriteOnly

    public boolean isWriteOnly()

  The ClearspaceSecurityAuditProvider does not retrieve audit entries from Clearspace. Instead it refers the admin to a URL where they can read the logs.

  Specified by:
    `isWriteOnly` in interface `SecurityAuditProvider`
  Returns:
    True or false if the logs can be read remotely.
  See Also:
    `SecurityAuditProvider.isWriteOnly()`

### getAuditURL

    public String getAuditURL()

  The ClearspaceSecurityAuditProvider does not retrieve audit entries from Clearspace. Instead it refers the admin to a URL where they can read the logs.

  Specified by:
    `getAuditURL` in interface `SecurityAuditProvider`
  Returns:
    String represented URL that can be visited to view the audit logs.
  See Also:
    `SecurityAuditProvider.getAuditURL()`

### blockUserEvents

    public boolean blockUserEvents()

  Clearspace handles logging it's own user events.

  Specified by:
    `blockUserEvents` in interface `SecurityAuditProvider`
  Returns:
    True if we should block user related security audit events from being handled.
  See Also:
    `SecurityAuditProvider.blockUserEvents()`

### blockGroupEvents

    public boolean blockGroupEvents()

  Clearspace handles logging it's own group events.

  Specified by:
    `blockGroupEvents` in interface `SecurityAuditProvider`
  Returns:
    True if we should block group related security audit events from being handled.
  See Also:
    `SecurityAuditProvider.blockGroupEvents()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.7.1 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.